
QGIS Application - Bug report #17646

Browser: deleting GeoPackage table removes the wrong table

2017-12-06 05:00 PM - Jérôme Guélat

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25543

Description

Deleting a layer in a GeoPackage using the browser (with a right-click) has the unexpected result of deleting the next table in the

GeoPackage.

Windows, QGIS 2.99 code revision aa68a9faec, GDAL/OGR 2.2.3

Related issues:

Related to QGIS Application - Bug report # 17915: QGIS3 Deleting geopackage l... Closed 2018-01-21

History

#1 - 2018-01-22 05:56 PM - Borys Jurgiel

- Related to Bug report #17915: QGIS3 Deleting geopackage layer from browser delete a wrong layer added

#2 - 2018-01-26 08:45 AM - Jérôme Guélat

- Status changed from Open to Closed

#3 - 2018-02-22 11:06 AM - Giovanni Manghi

- Resolution set to duplicate

- Regression? changed from No to Yes
